TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

TwoElementNormal ( elt-ids^int/ord^num I ) -> elt-ord^num, elt-ord^num, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> Two generators and g for the ideal I forming a two-element g-normal presentation. </shortdoc>

### Examples

x_O := MaximalOrder(X^3-11); x_a := 8*x_O+Element(x_O,[4,4,36])*x_O+Element(x_O,[28,20,12])*x_O; TwoElementNormal(x_a);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack